Mediflo
REST APIWorkflows

List a bot’s conversation workflows

Required scope: `bots.read`.

GET/bots/{botId}/workflows

Authorization

ApiKeyAuth
AuthorizationBearer <token>

An external API key, sent as Authorization: Bearer mflo_…. Scopes are checked per route; see each operation’s description.

In: header

Path Parameters

botId*string
Formatuuid

Query Parameters

page?integer
Range1 <= value
limit?integer
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/workflows"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "botId": "58ed41f0-04bf-402f-9853-7143ef7dd5ce",      "name": "string",      "description": "string",      "version": 0,      "isActive": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}